# Periodically sync all OpenShift Groups that have been synced previously with an LDAP server
apiVersion: batch/v1beta1
kind: CronJob
metadata:
    name: egroup-sync
spec:
    schedule: {{ .Values.cronjob.schedule }}
    concurrencyPolicy: Replace
    successfulJobsHistoryLimit: 3
    failedJobsHistoryLimit: 3
    jobTemplate:
      spec:
        activeDeadlineSeconds: 600
        template:
          spec:
            nodeSelector:
{{ .Values.cronjob.nodeSelector | toYaml | indent 14 }}
            serviceAccount: egroup-sync
            volumes:
            - configMap:
                name: ldap-config
              name: ldap-config
            containers:
            - name: egroup-sync
              image: {{ .Values.cronjob.image | quote }}
              command:
              - bash
              - -c
              - |-
                echo 'Updating groups that have previously been synced with LDAP (new groups are synced for the first time by the egroup-controller)...'
                oc adm groups sync --sync-config=/etc/egroup-sync/config.yaml --type=openshift --confirm
                echo 'Deleting groups that have been deleted from LDAP from Openshift...'
                oc adm prune groups --sync-config=/etc/egroup-sync/config.yaml --confirm
              volumeMounts:
              - mountPath: /etc/egroup-sync
                name: ldap-config
            restartPolicy: Never
